GetXAPI
Users

User Followers v2

Get a Twitter user's followers list with ~70 results per page and canDm field. $0.001 per call. GetXAPI followers v2 endpoint docs.

GET/twitter/user/followers_v2

This endpoint costs $0.001 per API call and returns ~70 users per page.

Query Parameters

ParameterTypeRequiredDescription
userNamestringYesScreen name (without @)
cursorstringNoPagination cursor

Notes

  • Uses the followers endpoint (higher fidelity than REST v1).
  • Returns ~70 followers per page (ordered by follow time desc).
  • Includes the canDm field for each follower.

Response

{
  "userName": "elonmusk",
  "user_count": 70,
  "has_more": true,
  "next_cursor": "DAABCgABG...",
  "followers": [
    {
      "type": "user",
      "id": "1335924847940079620",
      "userName": "0xumarkhatab",
      "name": "Umar",
      "url": "https://x.com/0xumarkhatab",
      "isVerified": false,
      "isBlueVerified": true,
      "profilePicture": "https://pbs.twimg.com/profile_images/...",
      "coverPicture": "https://pbs.twimg.com/profile_banners/...",
      "description": "Founding EVM Engineer @ViFi_Labs",
      "location": "Metaverse",
      "followers": 599,
      "following": 307,
      "tweets": 2002,
      "listed": 12,
      "createdAt": "Mon Dec 07 12:32:21 +0000 2020",
      "canDm": false
    }
  ]
}

Example

curl -H "Authorization: Bearer API_KEY" "https://api.getxapi.com/twitter/user/followers_v2?userName=elonmusk"

# With pagination
curl -H "Authorization: Bearer API_KEY" "https://api.getxapi.com/twitter/user/followers_v2?userName=elonmusk&cursor=DAABCgABG..."

On this page